<?php $__env->startSection('styles'); ?>
    <link rel="stylesheet" href="<?php echo e(url('storage/admin-assets/css/datatables/dataTables.bootstrap5.min.css')); ?>">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="page-content">
        <div class="container-fluid">
            <div class="row">
                <div class="d-flex justify-content-between align-items-center">
                    <h5 class="text-uppercase"><?php echo e(trans('labels.business')); ?></h5>
                    <form class="col-md-4" action="<?php echo e(URL::to('admin/business/business_add')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="input-group">
                            <input type="text" class="form-control" name="business_name"
                                placeholder="<?php echo e(trans('labels.business_name')); ?>">
                            <button type="submit" class="btn btn-secondary"><i
                                    class="fa-regular fa-plus mx-1"></i><?php echo e(trans('labels.add')); ?></button>
                        </div>
                        <?php $__errorArgs = ['business_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <small class="text-danger"><?php echo e($message); ?></small>
                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </form>
                </div>
                <div class="card border-0 my-3">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped py-3 w-100" id="datatable">
                                <thead>
                                    <tr class="text-uppercase fw-500">
                                        <td>#</td>
                                        <td><?php echo e(trans('labels.business_name')); ?></td>
                                        <td><?php echo e(trans('labels.action')); ?></td>
                                    </tr>
                                </thead>
                                <?php $i = 1; ?>
                                <?php $__currentLoopData = $business; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $business_data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo $i++; ?></td>
                                        <td>
                                            <a href="<?php echo e(URL::to('admin/business/business_edit-' . $business_data->id)); ?>"
                                                class="btn btn-outline-primary"><?php echo e($business_data->title); ?></a>
                                        </td>
                                        <td>
                                            <input type="hidden" value="" name="" id="business_link">
                                            <button onclick="copytext(this)" type="button"
                                                data-clipboard-text="<?php echo e(URL::to('/' . $business_data->slug)); ?>"
                                                title="Click to copy card link" class="btn btn-outline-success btn-sm mx-1">
                                                <i class="fa-regular fa-clone"></i>
                                            </button>
                                            <a href="<?php echo e(URL::to('admin/business/business_edit-' . $business_data->id)); ?>"
                                                type="button" title="Edit" class="btn btn-outline-info btn-sm mx-1">
                                                <i class="fa-regular fa-pen-to-square"></i>
                                            </a>
                                            <a onclick="delete_business('<?php echo e($business_data->id); ?>','<?php echo e(URL::to('admin/business/business_delete')); ?>')"
                                                type="button" title="Delete" class="btn btn-outline-danger btn-sm mx-1">
                                                <i class="fa-regular fa-trash-can"></i>
                                            </a>
                                            <a href="<?php echo e(URL::to('/' . $business_data->slug)); ?>" target="_blank"
                                                class="btn btn-outline-warning btn-sm mx-1">
                                                <i class="fa-regular fa-eye"></i>
                                            </a>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/jquery.dataTables.min.js')); ?>"></script><!-- Datatables JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/dataTables.bootstrap5.min.js')); ?>"></script><!-- Datatables Bootstrap5 JS -->
    <script>
        $(document).ready(function() {
            "use strict";
            $('#datatable').DataTable();
        });

        function copytext(x) {
            "use strict";
            var temp = $("<input>");
            $("body").append(temp);
            temp.val($(x).attr('data-clipboard-text')).select();
            document.execCommand("copy");
            temp.remove();
        }

        function delete_business(id, url) {
            "use strict";
            const swalWithBootstrapButtons = Swal.mixin({
                customClass: {
                    confirmButton: 'btn btn-success mx-2',
                    cancelButton: 'btn btn-danger mx-2'
                },
                buttonsStyling: false
            })
            swalWithBootstrapButtons.fire({
                title: are_you_sure,
                icon: 'warning',
                confirmButtonText: yes,
                cancelButtonText: no,
                showCancelButton: true,
                reverseButtons: true
            }).then((result) => {
                if (result.isConfirmed) {
                    $.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: "POST",
                        url: url,
                        data: {
                            'id': id
                        },
                        dataType: 'json',
                        success: function(response) {
                            if (response == 1) {
                                location.reload();
                            } else {
                                Swal.fire({
                                    icon: 'error',
                                    title: 'Oops...',
                                    text: wrong,
                                })
                            }
                        },
                        failure: function(response) {
                            Swal.fire({
                                icon: 'error',
                                title: 'Oops...',
                                text: wrong,
                            })
                        }
                    });
                }
            })
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/reisycard.com/public_html/vcard/resources/views/admin/business/business.blade.php ENDPATH**/ ?>